auth_imap not working in 1.9?

Support requests, bug reports, etc. go here. Dedicated servers / VDS hosting only
LordHedgie
Bear Rating Trainee
Bear Rating Trainee
Posts: 4
Joined: 27 Mar 2013, 03:10

auth_imap not working in 1.9?

Postby LordHedgie » 23 Aug 2013, 01:47

I've been trying to update to TTRSS 1.9 for some time, but I cannot log in after an upgrade. I use auth_imap exclusively, and after the update I get an invalid username/password error every time. The automatic installer fails, so I've manually installed by backing up my installation folder and untarring the new version, then copying plugins and feed-icons over. I've also copied the following entries from my old config.php after the installer creates a new config.php:

Code: Select all

        define('PLUGINS', 'auth_imap, af_unburn, googleplus, import_export, updater, videoframes');
        // Comma-separated list of plugins to load automatically for all users.
        // System plugins have to be specified here. Please enable at least one
        // authentication plugin here (auth_*).
        // Users may enable other user plugins from Preferences/Plugins but may not
        // disable plugins specified in this list.

       define('IMAP_AUTH_SERVER', 'myserver.com:993');
       define('IMAP_AUTH_OPTIONS', '/ssl/novalidate-cert/norsh');


Is there some other setting somewhere I need to update? I'm confused why this isn't working. Any help would be appreciated. I'm running Dovecot IMAPS, but I don't even seen failed authentication attempts in my dovecot logs.

User avatar
fox
^ me reading your posts ^
Posts: 6318
Joined: 27 Aug 2005, 22:53
Location: Saint-Petersburg, Russia
Contact:

Re: auth_imap not working in 1.9?

Postby fox » 23 Aug 2013, 08:51

I don't personally use it, but I don't remember breaking auth plugins. Check if you are using correct version for api 2.

e: what was the version you upgraded from?

LordHedgie
Bear Rating Trainee
Bear Rating Trainee
Posts: 4
Joined: 27 Mar 2013, 03:10

Re: auth_imap not working in 1.9?

Postby LordHedgie » 24 Aug 2013, 18:29

I'm currently running 1.7.8.
I don't understand what you mean by the correct version for API 2... Is there a new auth_imap plugin I need to download to make this continue to work?

User avatar
fox
^ me reading your posts ^
Posts: 6318
Joined: 27 Aug 2005, 22:53
Location: Saint-Petersburg, Russia
Contact:

Re: auth_imap not working in 1.9?

Postby fox » 24 Aug 2013, 18:40

Maybe you should search before further posting.

LordHedgie
Bear Rating Trainee
Bear Rating Trainee
Posts: 4
Joined: 27 Mar 2013, 03:10

Re: auth_imap not working in 1.9?

Postby LordHedgie » 24 Aug 2013, 19:11

Oh, thank god. I was hoping for a condescending reply. So many other forums provide warm welcomes to new users, this is such a refreshing change.

You really should re-evaluate why you're running this board. Is it to help people use TTRSS, or to randomly insult people who aren't coders?

randompherret
Bear Rating Trainee
Bear Rating Trainee
Posts: 36
Joined: 04 Jul 2013, 08:11

Re: auth_imap not working in 1.9?

Postby randompherret » 24 Aug 2013, 20:16

So many other forums do lots of things this one doesn't do. Not to put words in fox's mouth, but it seems he runs this board to help coders use ttrss and to randomly insult the rest of society at large and people who don't search in particular.

User avatar
fox
^ me reading your posts ^
Posts: 6318
Joined: 27 Aug 2005, 22:53
Location: Saint-Petersburg, Russia
Contact:

Re: auth_imap not working in 1.9?

Postby fox » 24 Aug 2013, 20:24

randompherret wrote:So many other forums do lots of things this one doesn't do. Not to put words in fox's mouth, but it seems he runs this board to help coders use ttrss and to randomly insult the rest of society at large and people who don't search in particular.


See, you get it.

User avatar
sleeper_service
Bear Rating Overlord
Bear Rating Overlord
Posts: 884
Joined: 30 Mar 2013, 23:50
Location: Dallas, Texas

Re: auth_imap not working in 1.9?

Postby sleeper_service » 24 Aug 2013, 23:40

LordHedgie wrote:You really should re-evaluate why you're running this board. Is it to help people use TTRSS, or to randomly insult people who aren't coders?


at the risk of giving fox a swollen head, he provides *excellent* support here, useful suggestions are implemented very rapidly, the rare bug is squashed promptly, typically within *hours*. how many other projects do you see that on?

if someone isn't a lazy, indolent slug that can't be bothered to

1) read the faq
2) search before posting

then, yes, you're going to get a very short answer, if any at all, and possibly belittled, talked down to, and made fun of.

go, read the faq, and you'll see why.

LordHedgie
Bear Rating Trainee
Bear Rating Trainee
Posts: 4
Joined: 27 Mar 2013, 03:10

Re: auth_imap not working in 1.9?

Postby LordHedgie » 25 Aug 2013, 01:36

I understand this board does a great job of supporting developers -- but it's openly hostile to non-developer users. Next time you wonder why TinyTinyRSS doesn't have have a large user base, don't blame the excellent code you produce, but examine the support you provide.

I did search. I did not find the answer. If someone can show me a search that would have shown the answer, I'll happily apologize and say that I needlessly wasted everyone's time. Merely saying that I should have searched is a lazy cop-out. Ditto for the FAQ - I see nothing relevant there, as it appears to be information about how to use the forum. Or is there another FAQ other than the one prominently displayed at the top of the page? Am I supposed to magically know this as a new user?

For the record, I did find the answer... Once I started searching for "API 2". But how could I have known to search for this before posting the question? Now that it's working, I see errors in the log... but I couldn't log in to see the errors until after I fixed the problem. There's no notice of the need to replace plugins in the README file; the wiki page on how to upgrade TinyTinyRSS specifically states I should copy over my old plugins (which I did).

So if all I know about my problem is after upgrading I get an invalid username/password error when attempting to log in, and the README file and upgrade wiki make no mention of it, what exactly was I supposed to read in the FAQ or by searching that would have clued me into the fact that I needed to download new plugins because of an API change?

User avatar
sleeper_service
Bear Rating Overlord
Bear Rating Overlord
Posts: 884
Joined: 30 Mar 2013, 23:50
Location: Dallas, Texas

Re: auth_imap not working in 1.9?

Postby sleeper_service » 25 Aug 2013, 01:51

1) you'd no doubt be surprised at how many ttrss instances are running out there.
2) the forum is here for people that help themselves, developer or no, coder or no. not for the typical, run of the mill whiny 'customer' that thinks everything should be handed to them on a sliver platter, and they don't have to do SHIT... damnit, they PAID for the product, they want someone else to do their thinking for them. well, ttrss isn't for them, and fox doesn't want to waste his time on them, and for what it's worth, neither do I.

there's far too much of this coddling idiots these days.

all your whining won't get you shit here, if you'd bothered to read anything in the forums, or indeed the faq, you'd know that.

now, let's look at *YOUR* specific bitch.

you came in, said you had a problem, fox told you to check if you were using api 2. to which you replied *drool drool, blub blub blub* "whaaaaa?"... and THEN you got told to search before posting any further.

if instead, you'd taken the hint and searched for api 2, as you eventually did, you'd have found the answer, as you eventually did, and the forum, and all those reading it, would have been spared your entitled "spoon feed it to me like a good minion" whining that you felt it necessary to spit forth.

also, if you'd read around in the forums, (try the comedy bistro, or the faq) you'd have found that fox doesn't give a flying fuck about how you think he should run his support forum that he spends his *spare time* in, helping poeple use the software that he wrote in his *spare time*.

and, really, that's how it should be.

User avatar
fox
^ me reading your posts ^
Posts: 6318
Joined: 27 Aug 2005, 22:53
Location: Saint-Petersburg, Russia
Contact:

Re: auth_imap not working in 1.9?

Postby fox » 25 Aug 2013, 10:34

LordHedgie wrote:I understand this board does a great job of supporting developers -- but it's openly hostile to non-developer users.


Indubitably only "developers" can comprehend the arcane complexity of the concept of searching before posting or reading release documentation when upgrading.

You see, the word you should have used is "smart people". it's the idiots who are not welcome here, not "non-developers" whatever that means.

Next time you wonder why TinyTinyRSS doesn't have have a large user base, don't blame the excellent code you produce, but examine the support you provide.?


I mostly wonder about random fuckwits here posting walls of text nobody asked them for. If you would, you know, take a hint.


Return to “Support”

Who is online

Users browsing this forum: No registered users and 12 guests